
[global]
    netbios name = {{samba_server.netbios_name}}
    interfaces = 127.0.0.1
    bind interfaces only = yes
    server string = {{samba_server.server_string}}
    unix charset = UTF-8
    workgroup = pirate
    browseable = yes
    deadtime = 30

    domain master = yes
    local master = yes
    preferred master = yes
    encrypt passwords = true
    enable core files = no

    invalid users = root
    map to guest = Bad User
    max protocol = SMB2
    min receivefile size = 16384
    obey pam restrictions = yes
    os level = 20

    load printers = no
    printing = bsd
    printcap name = /dev/null
    disable spoolss = yes

    security = user
    smb passwd file = /etc/samba/smbpasswd
    passdb backend = smbpasswd
    printable = no

    socket options = TCP_NODELAY IPTOS_LOWDELAY
    syslog = 5
    log file = /var/log/samba.log
    use sendfile = yes 
    writeable = no

    guest ok = no
    smb encrypt = auto

{% for share in samba_server.shares %}
    [{{share.name}}]
        path = {{share.directory}}
        valid users = {{share.users | join(', ')}}
        read only = no
        guest ok = no
{% endfor %}
